Page MenuHomePhabricator

Fix Project_talk namespace for mznwiki
Closed, ResolvedPublic

Description

I've reported namespace changes in 2011 but it was in bugzilla and I don't remember the bug number, discussion on wiki is the following link: https://mzn.wikipedia.org/wiki/Project:Proposal_for_change_namespaces but a ZWNJ character in Project_talk is change to space, please fix it.

In 2011 a lot of page with prepending project name were missing after adding the project namespace so please make sure nothing will miss in this fix change.

Event Timeline

Mjbmr created this task.Dec 27 2014, 8:08 PM
Mjbmr raised the priority of this task from to Normal.
Mjbmr updated the task description. (Show Details)
Mjbmr added a subscriber: Mjbmr.
Krenair added a subscriber: Krenair.

An (extremely quick) search shows that it was T32752: Update namespaces for Mazandarani Wikipedia (mznwiki)

Is this a case of namespaceDupes?

Krenair added a subscriber: Reedy.Dec 27 2014, 8:18 PM
Mjbmr added a comment.Dec 27 2014, 8:42 PM

there it is, thanks for the link.
yes, namespaceDupes, but I'm not sure how it works, see below for more details:

https://mzn.wikipedia.org/wiki/Special:PrefixIndex?prefix=ویکی‌پدیا_گپ:
(right namespace, we want this, already two pages exist in main namespace)

https://mzn.wikipedia.org/wiki/Special:PrefixIndex?prefix=ویکی_پدیا_گپ:
(wrong namespace, we don't want this, no pages exist)

Glaisher added a subscriber: Glaisher.
Glaisher renamed this task from Fix Project_talk namespace for mznwiki to Run namespaceDupes to fix Project_talk namespace at mznwiki.Jan 10 2015, 5:18 PM
Glaisher set Security to None.

The namespace first should be fixed in InitialiseSettings.php so don't change the title.

There must be a history of InitialiseSettings.php so should can check who changed it.

Change 184622 had a related patch set uploaded (by Mjbmr):
Fix project talk namespace for mznwiki T85383

https://gerrit.wikimedia.org/r/184622

Patch-For-Review

Mjbmr added a comment.Jan 13 2015, 9:14 PM

@Reedy Thank you for merging, please run namespaceDupes as well, thanks again.

Reedy added a comment.Jan 13 2015, 9:19 PM
reedy@tin:/srv/mediawiki-staging$ mwscript namespaceDupes.php mznwiki --fix
... 24583 (0,"ویکی‌پدیا_گپ:سفارت‌خنه") -> (5,"سفارت‌خنه") [[ویکی‌پدیا گپ:سفارت‌خنه]]
... resolving on page... ok.
... 6831 (0,"ویکی‌پدیا_گپ:پرچم_گپ") -> (5,"پرچم_گپ") [[ویکی‌پدیا گپ:پرچم گپ]]
... resolving on page... ok.

Looks good!
reedy@tin:/srv/mediawiki-staging$
Mjbmr closed this task as Resolved.Jan 13 2015, 9:21 PM
Mjbmr claimed this task.

Thank you so much.

Mjbmr renamed this task from Run namespaceDupes to fix Project_talk namespace at mznwiki to Fix Project_talk namespace for mznwiki.Apr 16 2015, 6:27 PM
Mjbmr moved this task from Backlog to Done on the Wikimedia-Site-requests board.May 4 2015, 2:06 PM